Package Details: prey-node-client 1.9.1-1

Git Clone URL: https://aur.archlinux.org/prey-node-client.git (read-only, click to copy)
Package Base: prey-node-client
Description: Remote tracking and monitoring application for laptops, smartphones, and other electronic devices
Upstream URL: https://preyproject.com/
Licenses: GPL3
Replaces: prey-tracker
Submitter: lutoma
Maintainer: xpt
Last Packager: xpt
Votes: 32
Popularity: 1.87
First Submitted: 2014-12-02 03:20
Last Updated: 2020-01-03 03:24

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

noplomplom commented on 2016-06-24 05:35

Same error remaining in PKGBUILD, line 23: it should be
cd "$srcdir/prey-$pkgver"
instead of cd "$srcdir/prey-$pkgver.$pkgrel"

disprofarma commented on 2016-06-23 18:47

Hi, license should be GPL3, and not GPLv3. Thanks!"

noplomplom commented on 2016-06-13 17:33

It seems there's an error in the PKGBUILD: line 23 should be

cd "$srcdir/prey-$pkgver"

without the ".$pkgrel" part

mzecher commented on 2016-05-14 02:15

prey-agent.service is not included, or am I doing something wrong?

JDCNS commented on 2016-03-20 04:49

OK, it's working now.

JDCNS commented on 2016-03-20 02:18

Well, now I get a 404 trying to download it from this, so I cannot test your node.js suggestion.

konfou commented on 2016-03-19 15:18

@JDCNS It maybe has to do with the bundled nodejs being a different version than the system-wide installed. Right now the community/nodejs is v5.9.0 while the bundled is v0.10.36. This package removes this in favor of the system version. I was getting the same message and using the v0.10 node solved it.

JDCNS commented on 2016-03-09 02:11

So, am I the only one with this problem? I tried to run the post_install, and I get:

Error! Command failed: /usr/bin/node /opt/prey-node-client/node_modules/ocelot/runner.js prey /opt/prey-node-client/bin/prey config activate
internal/child_process.js:298
throw errnoException(err, 'spawn');
^

Error: spawn EACCES
at exports._errnoException (util.js:856:11)
at ChildProcess.spawn (internal/child_process.js:298:11)
at exports.spawn (child_process.js:367:9)
at run_command (/opt/prey-node-client/node_modules/ocelot/runner.js:60:15)
at Object.<anonymous> (/opt/prey-node-client/node_modules/ocelot/runner.js:95:1)
at Module._compile (module.js:413:34)
at Object.Module._extensions..js (module.js:422:10)
at Module.load (module.js:357:32)
at Function.Module._load (module.js:314:12)
at Function.Module.runMain (module.js:447:10)

faustinoaq commented on 2016-03-05 08:52

Prey 1.5 was not working for me

I did this

# systemctl enable NetworkManager-wait-online.service

And I change target in prey-agent.service
...
After=network-online.target
...

EDIT: I had to restart prey-agent and works well.

I did a "prey-restart.timer" for restart "prey-agent" periodically

xpt commented on 2016-02-18 02:41

sha256sum's variables are changed and I change the name of /bin/prey to /bin/pre_proyect ( conflict with prey fps game)